from typing import Any
from fastapi import APIRouter, Depends
from schemas import ReturnValue
from ultis import root_api_path_build
from routes import authR

userRouter=APIRouter(prefix=root_api_path_build('/user'))

@userRouter.get('/get-data/', dependencies=[Depends(authR.get_auth_user)])
def get_data(url: str = '') -> ReturnValue[Any]:
  return ReturnValue(status=200, data=url)
